Subject: Re: bash: cannot use job control in an unprivileged LXC container

From: Ryutaroh Matsumoto <[email-masked]>
Date: Fri, 08 May 2020 19:43:50 +0900 (JST)

Hi Mark,

> Is that not seen on  Debian running systemd or sysvinit?

I do not see this symptom with

Host Linux = Debian Bullseye (lxc version 4.0.2 in Debian experimental)
Guest Linux = Debian Buster runnning systemd-sysv (bash package version is 5.0-4).

I cannot test sysvinit on Buster, because Debian Buster does not have
the sysvinit-core package!!!!!

> This message is usually seen when there is no tty allocated. Are you logging in
> from a text terminal or x terminal?

"lxc-start -F -n devuan" was started from tty3 (text).
I did not test GUI terminal, as I don't have it on Debian Bullseye.

Best regards, Ryutaroh